-------------------------------------------------------------------------
--  _   _ _____ ____       ____   ___   __     __    _       _
-- | | | | ____/ ___|     / ___| / _ \  \ \   / /_ _| | __ _(_)___
-- | |_| |  _| \___ \ ____\___ \| | | |  \ \ / / _` | |/ _` | / __|
-- |  _  | |___ ___) |_____|__) | |_| |   \ V / (_| | | (_| | \__ \
-- |_| |_|_____|____/     |____/ \___/     \_/ \__,_|_|\__,_|_|___/
--
-------------------------------------------------------------------------
-- Title : Video passthrough
--
-------------------------------------------------------------------------
-- Author(s) : Marc Pignat
-------------------------------------------------------------------------
library ieee;
	use ieee.std_logic_1164.all;
	use ieee.numeric_std.all;

entity pass_through is
	generic
	(
		g_pipe_stages	: natural	:= 5;
		g_data_width	: positive	:= 1
	);
	port
	(
		reset			: in	std_logic;

		clock_input		: in	std_logic;
		data_input		: in	std_logic_vector(g_data_width - 1 downto 0);

		clock_output	: out	std_logic;
		data_output 	: out	std_logic_vector(g_data_width - 1 downto 0)
	);
end pass_through;
